if [ -x /usr/bin/update-mime-database ]; then
  /usr/bin/update-mime-database /usr/share/mime &> /dev/null
fi

if [ -x /usr/bin/update-desktop-database ]; then
  /usr/bin/update-desktop-database 1> /dev/null 2> /dev/null
fi

if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache  -f -q /usr/share/icons/hicolor 1> /dev/null 2> /dev/null
fi

( cd usr/man/man1 ; rm -rf wineg++.1.gz )
( cd usr/man/man1 ; ln -sf winegcc.1.gz wineg++.1.gz )
( cd usr/man/man1 ; rm -rf winecpp.1.gz )
( cd usr/man/man1 ; ln -sf winegcc.1.gz winecpp.1.gz )
( cd usr/bin ; rm -rf winecpp )
( cd usr/bin ; ln -sf winegcc winecpp )
( cd usr/bin ; rm -rf wineg++ )
( cd usr/bin ; ln -sf winegcc wineg++ )
( cd usr/lib ; rm -rf libwine.so.1 )
( cd usr/lib ; ln -sf libwine.so.1.0 libwine.so.1 )
( cd usr/lib ; rm -rf libwine.so )
( cd usr/lib ; ln -sf libwine.so.1.0 libwine.so )
